com.h3c.of.lib.msg

## Class OfmPortMod

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmPortMod

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutablePortMod

      public class OfmPortMod
      extends OpenflowMessage

  Represents an OpenFlow PORT_MOD message; Since 1.0.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<PortFeature>` | `getAdvertise()` The features of this port to advertise; Since 1.0.
    `Set<PortConfig>` | `getConfig()` The configuration flags; Since 1.0.
    `Set<PortConfig>` | `getConfigMask()` The flags in the mask select which bits in the config field to change; Since 1.0.
    `MacAddress` | `getHwAddress()` Returns the hardware address; Since 1.0.
    `BigPortNumber` | `getPort()` Returns the id of the port to be modified; Since 1.0.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### getPort

          public BigPortNumber getPort()

      Returns the id of the port to be modified; Since 1.0.
      Returns:
        the port number

    - #### getHwAddress

          public MacAddress getHwAddress()

      Returns the hardware address; Since 1.0.

      The hardware address is not configurable. This is used to sanity-check the request, so it must be the same as returned in a `Port` structure.

      Returns:
        the hardware address of the port

    - #### getConfig

          public Set<PortConfig> getConfig()

      The configuration flags; Since 1.0.
      Returns:
        the configuration flags

    - #### getConfigMask

          public Set<PortConfig> getConfigMask()

      The flags in the mask select which bits in the config field to change; Since 1.0.
      Returns:
        the selected config bits to change

    - #### getAdvertise

          public Set<PortFeature> getAdvertise()

      The features of this port to advertise; Since 1.0.
      Returns:
        the features to advertise

Copyright © 2014. All Rights Reserved.